[gnome-getting-started-docs] Wrap yelp-check tests in the shell script



commit 0bc6c064c36f669fa3d718a115b7d9d5a7972951
Author: Petr Kovar <pkovar redhat com>
Date:   Mon Aug 5 22:47:31 2019 +0200

    Wrap yelp-check tests in the shell script
    
    Since they don't emit desired exit codes.

 .gitlab-ci.yml | 3 +--
 check.sh       | 9 +++++++++
 2 files changed, 10 insertions(+), 2 deletions(-)
---
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 73a454a..227e8eb 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -3,8 +3,7 @@ build-fedora:
   before_script:
     - dnf install -y git autoconf automake make gettext itstool libxslt yelp-tools
   script:
-    - yelp-check ids gnome-help/C
-    - yelp-check validate gnome-help/C
+    - ./check.sh
     - ./autogen.sh ITSTOOL="/usr/bin/itstool --strict"
     - make
     - make check
diff --git a/check.sh b/check.sh
new file mode 100755
index 0000000..cced895
--- /dev/null
+++ b/check.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+yelp-check ids gnome-help/C | \
+grep . && echo 'yelp-check ids: FAIL' && exit 1 || \
+echo 'yelp-check ids: PASS'
+
+yelp-check validate gnome-help/C | \
+grep . && echo 'yelp-check validate: FAIL' && exit 1 || \
+echo 'yelp-check validate: PASS'


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]